
	
		
	<div class="post_list <?php echo wedding_get_blog_layout('class'); ?>">
		
		<?php if ( have_posts() ) : ?>
			<?php ajax_pagination($wp_query->max_num_pages,'blog'); ?>
			<div class="ajax_pagination_blog">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'blog/content', get_post_format() ); ?>
			<?php endwhile; ?>
			</div>
			<?php if ( $wp_query->max_num_pages > 1 ) : ?>
				<nav id="nav-below" class="navigation">					
					<?php if (function_exists('wp_pagenavi')) { wp_pagenavi(); } else { ?>
					<span class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&#11013;</span> Older posts', 'wedding' ) ); ?></span>
					<span class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&#10145;</span>', 'wedding' ) ); ?></span>
					<?php } ?>
				</nav>
			<?php endif; ?>
			
		<?php else : ?>
			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'wedding' ); ?></h1>
					<?php if (get_post_meta(get_the_ID(), 'subtitle')): ?>
						<h2><?php echo get_post_meta(get_the_ID(), 'subtitle', true); ?></h2>
					<?php endif; ?>
				</header>
				<div class="entry-content">
					<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'wedding' ); ?></p>
					<?php get_search_form(); ?>
				</div>
			</article>
		<?php endif; ?>

	</div>

	<?php echo wedding_get_blog_layout('sidebar'); ?>

	<div class="clear"></div>