<?php get_header(); ?>
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
	<div class="content">
		<header class="section-title">
			<h1><span><?php the_title(); ?><span></h1>
		</header>
		
		<?php the_content(); ?>
		
		<?php $photos = get_post_meta(get_the_ID(), 'gallery_images', true); ?>
		<?php if($photos): ?>
		<ul class="album">
			<?php foreach($photos as $image): ?>
			
			<?php $full = wp_get_attachment_url( $image ); ?>
			<?php $thumb = wp_get_attachment_image( $image ); ?>
			<?php $title = get_the_title( $image ); ?>
			
			<li>
				<a href="<?php echo $full; ?>" rel="fancybox" title="<?php echo $title; ?>">
					<?php echo $thumb; ?>
				</a>
				<?php if(wedding_field('gallery_photo_link')): ?>
					<?php $title = (strlen($title) > 13) ? substr($title,0,10).'...' : $title; ?>
					<a href="<?php echo get_attachment_link($image); ?>" class="title"><em class="icon-link"><?php echo $title; ?></em></a>
				<?php endif; ?>
			</li>
				
			<?php endforeach; ?>
			<li class="clear"></li>
		</ul>
		<?php else: ?>
		<p class="icon-camera no-photos">
			<?php _e('There are no photos in this album','wedding'); ?>
		</p>
		<?php endif; ?>
		
		<?php comments_template( '', true ); ?>
		
		<div class="clear"></div>
	</div>
	<?php endwhile; ?>
	<div class="clear"></div>
<?php get_footer(); ?>