<?php get_header(); ?>
	<div class="content">
		<header class="section-title">
			<?php if ( is_day() ) : ?>
				<em><?php _e('Daily Archives','wedding'); ?></em>
			<?php elseif ( is_month() ) : ?>
				<em><?php _e('Monthly Archives','wedding'); ?></em>
			<?php elseif ( is_year() ) : ?>
				<em><?php _e('Yearly Archives','wedding'); ?></em>
			<?php endif; ?>
			<h1>
				<span>
					<?php if ( is_day() ) : ?>
						<?php echo get_the_date(); ?>
					<?php elseif ( is_month() ) : ?>
						<?php echo get_the_date( _x( 'F Y', 'monthly archives date format', 'wedding' ) ); ?>
					<?php elseif ( is_year() ) : ?>
						<?php echo get_the_date( _x( 'Y', 'yearly archives date format', 'wedding' ) ); ?>
					<?php else : ?>
						<?php _e( 'Blog Archives', 'wedding' ); ?>
					<?php endif; ?>
				</span>
			</h1>
		</header>
		<?php get_template_part( 'loop', 'archive' ); ?>		
	</div>
	<div class="clear"></div>
<?php get_footer(); ?>