<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="box post-content">
		<div class="entry-title">
			<h1>
				<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wedding' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h1>
			<time class="entry-date" datetime="<?php echo get_the_date( 'c' ); ?>" pubdate>
				<?php _e('Posted on','wedding'); ?>: <?php echo get_the_date(); ?>
			</time>
		</div>

		<?php
		$att_args = array(
			'post_type'	     => 'attachment',
			'numberposts'    => 1,
			'post_status'    => null,
			'post_parent'    => $post->ID,
			'post_mime_type' => 'audio',
			'orderby'        => 'menu_order'
		);
		$attachments = get_posts( $att_args );
		if( $attachments ): ?>
			<?php wp_enqueue_script('mediaelement-js'); ?>
			<?php wp_enqueue_style('mediaelement-css'); ?>
			<?php foreach( $attachments as $attachment ): ?>
				<?php $attachmenturl=wp_get_attachment_url($attachment->ID); ?>
				<div class="entry-banner featured-audio">
					<audio id="player2" src="<?php echo $attachmenturl; ?>" type="audio/mp3" controls="controls"></audio>	
				</div>
			<?php endforeach; ?>
		<?php endif; ?>
		
		<?php $audio = get_post_meta( get_the_ID(), '_format_audio_embed', true ); ?>
		<?php if (!$audio) $audio = get_post_meta($post->ID, 'post_format_audio_field', true); ?>
		<?php if ($audio && !$attachments): ?>
		<div class="entry-banner featured-audio">
			<?php echo $audio; ?>
		</div>
		<?php endif; ?>

		<div class="entry-content">
			<?php if ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink(); ?>" class="featured_img left">
					<?php the_post_thumbnail('thumbnail'); ?>
					<span class="shadow"></span>
				</a>
			<?php } ?>
			<?php if ( is_search() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
			<?php endif; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="entry-meta">
		<?php wedding_post_meta(); ?>
	</div>
	<div class="clear"></div>
</article>