(function() {  
		//feature_list - Feature list with icons
	    tinymce.create('tinymce.plugins.feature_list', {  
	        init : function(ed, url) {  
	            ed.addButton('feature_list', {  
	                title : 'Feature list with icons',  
	                onclick : function() {  
	                     ed.selection.setContent('[feature_list size="big"][item icon="home" title="title"]content[/item][/feature_list]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('feature_list', tinymce.plugins.feature_list);
	    //feature_list - Feature list with icons

	    //social - Social icons
	    tinymce.create('tinymce.plugins.social', {  
	        init : function(ed, url) {  
	            ed.addButton('social', {  
	                title : 'Social icons',  
	                onclick : function() {  
	                     ed.selection.setContent('[social type="facebook"]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('social', tinymce.plugins.social);
	    //social - Social icons

	    //one_half - Add a 2 column layout
	    tinymce.create('tinymce.plugins.one_half', {  
	        init : function(ed, url) {  
	            ed.addButton('one_half', {  
	                title : 'Add a 2 column layout',  
	                onclick : function() {  
	                     ed.selection.setContent('[one_half]left column[/one_half][one_half_last]right column[/one_half_last]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('one_half', tinymce.plugins.one_half);
	    //one_half - Add a 2 column layout

	    //one_third - Add a 3 column layout
	    tinymce.create('tinymce.plugins.one_third', {  
	        init : function(ed, url) {  
	            ed.addButton('one_third', {  
	                title : 'Add a 3 column layout',  
	                onclick : function() {  
	                     ed.selection.setContent('[one_third]1/3 column[/one_third][one_third]1/3 column[/one_third][one_third_last]1/3 column[/one_third_last]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('one_third', tinymce.plugins.one_third);
	    //one_third - Add a 3 column layout

	    //one_fourth - Add a 4 column layout
	    tinymce.create('tinymce.plugins.one_fourth', {  
	        init : function(ed, url) {  
	            ed.addButton('one_fourth', {  
	                title : 'Add a 4 column layout',  
	                onclick : function() {  
	                     ed.selection.setContent('[one_fourth]1/4 column[/one_fourth][one_fourth]1/4 column[/one_fourth][one_fourth]1/4 column[/one_fourth][one_fourth_last]1/4 column[/one_fourth_last]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('one_fourth', tinymce.plugins.one_fourth);
	    //one_fourth - Add a 4 column layout

	    //two_third - Add a 2/3 column layout
	    tinymce.create('tinymce.plugins.two_third', {  
	        init : function(ed, url) {  
	            ed.addButton('two_third', {  
	                title : 'Add a 2/3 column layout',  
	                onclick : function() {  
	                     ed.selection.setContent('[one_third]1/3 column[/one_third][two_third_last]2/3 column[/two_third_last]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('two_third', tinymce.plugins.two_third);
	    //two_third - Add a 2/3 column layout

	    //three_fourth - Add a 3/4 column layout
	    tinymce.create('tinymce.plugins.three_fourth', {  
	        init : function(ed, url) {  
	            ed.addButton('three_fourth', {  
	                title : 'Add a 3/4 column layout',  
	                onclick : function() {  
	                     ed.selection.setContent('[one_fourth]1/4 column[/one_fourth][three_fourth_last]3/4 column[/three_fourth_last]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('three_fourth', tinymce.plugins.three_fourth);
	    //three_fourth - Add a 3/4 column layout

	    //tabs - Add tabs & Toggles
	    tinymce.create('tinymce.plugins.tabs', {  
	        init : function(ed, url) {  
	            ed.addButton('tabs', {  
	                title : 'Add tabs & Toggles',  
	                onclick : function() {  
	                     ed.selection.setContent('[tabs toggle="true"][tab title="Tab 1"]tab content...[/tab][tab title="Tab 1"]tab content...[/tab][/tabs]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('tabs', tinymce.plugins.tabs);
	    //tabs - Add tabs & Toggles

	    //box - Add a simple box with a header
	    tinymce.create('tinymce.plugins.box', {  
	        init : function(ed, url) {  
	            ed.addButton('box', {  
	                title : 'Add a simple box with a header',  
	                onclick : function() {  
	                     ed.selection.setContent('[box title="Title"]content...[/box]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('box', tinymce.plugins.box);
	    //box - Add a simple box with a header

	    //message - Notify, error, success or info messages
	    tinymce.create('tinymce.plugins.message', {  
	        init : function(ed, url) {  
	            ed.addButton('message', {  
	                title : 'Notify, error, success or info messages',  
	                onclick : function() {  
	                     ed.selection.setContent('[message type="error"]Message content...[/message]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('message', tinymce.plugins.message);
	    //message - Notify, error, success or info messages

	    //divider - Dividers
	    tinymce.create('tinymce.plugins.divider', {  
	        init : function(ed, url) {  
	            ed.addButton('divider', {  
	                title : 'Dividers',  
	                onclick : function() {  
	                     ed.selection.setContent('[divider type="top"]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('divider', tinymce.plugins.divider);
	    //divider - Dividers

	    //button - Add a button
	    tinymce.create('tinymce.plugins.button', {  
	        init : function(ed, url) {  
	            ed.addButton('button', {  
	                title : 'Add a button',  
	                onclick : function() {  
	                     ed.selection.setContent('[button size="large" color="brown" url="#"]Label[/button]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('button', tinymce.plugins.button);
	    //button - Add a button

	    //maps - Add Google Maps
	    tinymce.create('tinymce.plugins.maps', {  
	        init : function(ed, url) {  
	            ed.addButton('maps', {  
	                title : 'Add Google Maps',  
	                onclick : function() {  
	                     ed.selection.setContent('[maps title="Title" description="description" coordinates="0,0" zoom="10" height="300px"]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('maps', tinymce.plugins.maps);
	    //maps - Add Google Maps

	    //list - List with icons
	    tinymce.create('tinymce.plugins.list', {  
	        init : function(ed, url) {  
	            ed.addButton('list', {  
	                title : 'List with icons',  
	                onclick : function() {  
	                     ed.selection.setContent('[list icon="check"]List content...[/list]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('list', tinymce.plugins.list);
	    //list - List with icons

	    //recent_works - Recent Works
	    tinymce.create('tinymce.plugins.recent_works', {  
	        init : function(ed, url) {  
	            ed.addButton('recent_works', {  
	                title : 'Recent Works',  
	                onclick : function() {  
	                     ed.selection.setContent('[recent_works count="3" description="description"]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('recent_works', tinymce.plugins.recent_works);
	    //recent_works - Recent Works

	    //recent_posts - Recent Posts
	    tinymce.create('tinymce.plugins.recent_posts', {  
	        init : function(ed, url) {  
	            ed.addButton('recent_posts', {  
	                title : 'Recent Posts',  
	                onclick : function() {  
	                     ed.selection.setContent('[recent_posts count="4"]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('recent_posts', tinymce.plugins.recent_posts);
	    //recent_posts - Recent Posts

	    //dropcap - Dropcaps
	    tinymce.create('tinymce.plugins.dropcap', {  
	        init : function(ed, url) {  
	            ed.addButton('dropcap', {  
	                title : 'Dropcaps',  
	                onclick : function() {  
	                     ed.selection.setContent('[dropcap type="v2"]A[/dropcap]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('dropcap', tinymce.plugins.dropcap);
	    //dropcap - Dropcaps

	    //highlight - Highlighted text
	    tinymce.create('tinymce.plugins.highlight', {  
	        init : function(ed, url) {  
	            ed.addButton('highlight', {  
	                title : 'Highlighted text',  
	                onclick : function() {  
	                     ed.selection.setContent('[highlight]highlighted text[/highlight]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('highlight', tinymce.plugins.gallery);
	    //highlight - Highlighted text
	    
	    //gallery - Gallery shortcode
	    tinymce.create('tinymce.plugins.gallery', {  
	        init : function(ed, url) {  
	            ed.addButton('gallery', {  
	                title : 'Gallery',  
	                onclick : function() {  
	                     ed.selection.setContent('[wedding_gallery id=""]'); 
	                }  
	            });  
	        },  
	        createControl : function(n, cm) {  
	            return null;  
	        },  
	    });  
	    tinymce.PluginManager.add('gallery', tinymce.plugins.gallery);
	    //highlight - Highlighted text
	    
})();